upgrading installed PROJ version

Hello,

I receive this error message when deploying a shiny application to shinyapps.io. The application contains mapview interactive maps. The app works fine on my local computer but failed on shinyapps.io server.

Error in CPL_transform: crs not found: is it missing?
sf layer has inconsistent datum ().

I contacted the authors of mapview and it seems that the reason is that shinyapps . io machine runs an old PROJ.4 version.
please see this link: https://github.com/r-spatial/mapview/issues/300

Is it possible to upgrade the current version of `GEOS/GDAL/PROJ on the shinyapps . io server?

Cheers,
Ahmed